VectorLinux

Please login or register.

Login with username, password and session length
Advanced search  

News:

Visit our home page for VL info. For support and documentation, visit the Vector Linux Knowledge Center or search the Knowledge Center and this Forum using the search box above.

Author Topic: slapt-get issue on 7.1 rc1  (Read 1205 times)

wigums

  • Packager
  • Packager
  • Vectorite
  • ****
  • Posts: 167
slapt-get issue on 7.1 rc1
« on: April 17, 2014, 12:08:08 am »

slapt-get --update does not work. it goes through the motions just like youd expect but it does not find new packages. it is not updating and finding new packages and there are no errors.

gslapt DOES work, works just fine...finds new packages just like youd expect.

well if gslapt is merely a front end gui for slapt-get why does the front end gui work but not the command line program itself that the gui is using?

it seems to be local to my machine, others have not been able to reproduce this issue
« Last Edit: April 17, 2014, 12:11:03 am by wigums »
Logged
When the people fear their government, there is tyranny; when the government fears the people, there is liberty.

wigums

  • Packager
  • Packager
  • Vectorite
  • ****
  • Posts: 167
Re: slapt-get issue on 7.1 rc1
« Reply #1 on: April 17, 2014, 10:55:36 am »

solved. i'll leave this embarassement here for the knowledge of others.

i had a bad source in my slapt-getrc which was

Code: [Select]
#SOURCE=http://vectorlinux.osuosl.org/veclinux-7.1/unstable/
one bad source apparently kills the entire process thus updating nothing

thank you to rbistolfi
Logged
When the people fear their government, there is tyranny; when the government fears the people, there is liberty.

hata_ph

  • Packager
  • Vectorian
  • ****
  • Posts: 3261
  • -- Just being myself --
Re: slapt-get issue on 7.1 rc1
« Reply #2 on: April 17, 2014, 07:13:34 pm »

WTF!!!!
Glad that you solve it :)
Logged

wigums

  • Packager
  • Packager
  • Vectorite
  • ****
  • Posts: 167
Re: slapt-get issue on 7.1 rc1
« Reply #3 on: April 17, 2014, 09:40:08 pm »

im sorry, you helped me alot on this hata......
rbistolfi found that i had 1 bad source in my slapt-getrc
and that stops all sources from being updated.....
id like a new sources list that is fresh but many things
are going on at the moment
Logged
When the people fear their government, there is tyranny; when the government fears the people, there is liberty.

hata_ph

  • Packager
  • Vectorian
  • ****
  • Posts: 3261
  • -- Just being myself --
Re: slapt-get issue on 7.1 rc1
« Reply #4 on: April 23, 2014, 04:18:02 am »

Is ok...both learn something new :)
Logged

wigums

  • Packager
  • Packager
  • Vectorite
  • ****
  • Posts: 167
Re: slapt-get issue on 7.1 rc1
« Reply #5 on: April 23, 2014, 05:22:10 pm »

i still dont understand why gslapt worked but not slapt-get
Logged
When the people fear their government, there is tyranny; when the government fears the people, there is liberty.

hata_ph

  • Packager
  • Vectorian
  • ****
  • Posts: 3261
  • -- Just being myself --
Re: slapt-get issue on 7.1 rc1
« Reply #6 on: April 23, 2014, 05:41:46 pm »

Might want to get back to slapt-get's developers...
Logged